#ifndef DATA_H
# define DATA_H
# include <pthread.h>
# include <sys/types.h>

typedef struct s_data
{
	size_t			eat_time;
	size_t			sleep_time;
	size_t			life_expectency;
	size_t			nb_philos;
	ssize_t			nb_meals;
	void			**philos;
	pthread_t		*threads;
	pthread_mutex_t	*forks;
	pthread_mutex_t	stop_mutex;
	bool			stop;
	pthread_mutex_t	print_mutex;
}	t_data;

bool	data_init(t_data *data);
void	data_destroyer(t_data *data);
#endif
